// Point.h: interface for the Point class.
// 
//////////////////////////////////////////////////////////////////////
#ifndef __POINT_H__
#define __POINT_H__

class Point  
{
public:
	Point() { count++; };
	~Point() { count--; };

	// member function
	void SetPosition(int nX=10, int nY=10);	// default parameter
	void Move(int nX, int nY);
	virtual void Show();

	// operator
	Point& operator++();

	// member variable
	int m_nX, m_nY;

	// static variable
	static int count;
};

inline Point& Point::operator++()
{
	SetPosition(++m_nX, ++m_nY);
	return *this;
}

#endif