// Point3D.h: interface for the Point class.
// 
//////////////////////////////////////////////////////////////////////

#ifndef __POINT3D_H__
#define __POINT3D_H__

#include "Point.h"

class Point3D : public Point
{
public:
	Point3D() {};
	~Point3D() {};
	// member function
	void SetPosition(int nX=10, int nY=10, int nZ=10);	// default parameter
	void Move(int nX, int nY, int nZ);
	void Show();

	// operator
	Point3D& operator++();

	// member variable
	int m_nZ;
};

inline Point3D& Point3D::operator++()
{
	SetPosition(++m_nX, ++m_nY, ++m_nZ);
	return *this;
}

#endif